configure: remove superfluous cuvid and nvdec checks
authorJames Almer <jamrial@gmail.com>
Sat, 25 Nov 2017 01:48:24 +0000 (22:48 -0300)
committerJames Almer <jamrial@gmail.com>
Sat, 25 Nov 2017 15:43:09 +0000 (12:43 -0300)
Both are autodetected, and their dependency on cuda is checked
elsewhere.

Fixes ticket #6849.

Reviewed-by: Philip Langdale <philipl@overt.org>
Signed-off-by: James Almer <jamrial@gmail.com>
configure

index 3ec6407..7769427 100755 (executable)
--- a/configure
+++ b/configure
@@ -5816,10 +5816,6 @@ done
 
 # these are off by default, so fail if requested and not available
 enabled cuda_sdk          && require cuda_sdk cuda.h cuCtxCreate -lcuda
-enabled cuvid             && { enabled cuda ||
-                               die "ERROR: CUVID requires CUDA"; }
-enabled nvdec             && { enabled cuda ||
-                               die "ERROR: NVDEC hwaccel requires CUDA"; }
 enabled chromaprint       && require chromaprint chromaprint.h chromaprint_get_version -lchromaprint
 enabled decklink          && { require_header DeckLinkAPI.h &&
                                { check_cpp_condition DeckLinkAPIVersion.h "BLACKMAGIC_DECKLINK_API_VERSION >= 0x0a060100" || die "ERROR: Decklink API version must be >= 10.6.1."; } }